#
# spec file for package xinput
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xinput
Version:        1.6.1
Release:        10.1
Summary:        Utility to configure and test X input devices
License:        MIT and HPND
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(inputproto) >= 2.0.99.1
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xi) >= 1.4.99.1
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xorg-macros) >= 1.3
BuildRequires:  pkgconfig(xrandr)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xinput is a utility to configure and test XInput devices.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/xinput
%{_mandir}/man1/xinput.1%{?ext_man}

%changelog
* Mon Sep 16 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.6.1:
- Three new user-visible features:
  + map-to-output now takes reflections and rotations into account
  + test-xi2 now takes a --root flag for tracking events on the root window
  + the environment variable XINPUT_XI2_VERSION can override the XI2 version
    xinput registers
  On top of that, leak fixes and removal of buffering to get a more complete
  ouput.
* Sat Apr  6 2013 sndirsch@suse.com
- added buildrequires for pkconfig(xfixes) to fix build (new dep)
* Fri May 18 2012 cfarrell@suse.com
- license update: MIT and HPND
  See COPYING
* Wed May 16 2012 dimstar@opensuse.org
- Update to version 1.6.0:
  + Add --enable/--disable support.
* Tue May  8 2012 coolo@suse.com
- fixing pkgconfig requries to be true
* Tue Apr 17 2012 vuntz@opensuse.org
- Update to version 1.5.99.901:
  + Handle XA_CARDINAL as property type.
  + Print the source ID for raw events (XI 2.2 only).
  + Improvements to NVIDIA-specific output checking.
  + User-visible changes: map-to-crtc was changed to map-to-output.
  + Several bug fixes and cleanups.
* Sun Apr 15 2012 dimstar@opensuse.org
- Update to version 1.5.99.1:
  + Print usage when run with --help
  + xinput: Assume 'list' by default if no args given. (same usage
    as xrandr)
  + Support touch raw events
  + Support XI 2.1
  + Add support for device-to-screen mapping
  + Build system fixes.
- Add pkgconfig(xinerama) and pkgconfig(xrandr) BuildRequires: new
  upstream dependencies.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xinput from xorg-x11. Initial version: 1.5.3.
